# $Id: 30-run_status-read.t 15025 2012-01-25 16:46:54Z mg8 $
use strict;
use warnings;
use Test::More tests => 5;
use Test::Exception;

local $ENV{NPG_WEBSERVICE_CACHE_DIR} = q[t/data];

use_ok('npg_pipeline::run::status::read');

{
  my $rsr;
  lives_ok {
    $rsr = npg_pipeline::run::status::read->new({
      id_run => 1234,
    });
  } q{no croak on object instantiation};
  isa_ok($rsr, q{npg_pipeline::run::status::read}, q{$rsr});

  my $status;
  lives_ok { $status = $rsr->read(); } q{no croak getting run status};
  is($status, q{qc complete}, q{correct current status obtained});
}
1;